GET /labelprofile/{uuid}/status/

GET /labelprofile/{uuid}/status/

/labelprofile/{uuid}/status/

Request
URI
GET
https://{api_host}/api/labelprofile/{uuid}/status
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns LabelProfileStatus of type(s) application/json
{
    "labels": [
        {
            "name": "string",
            "scope": "string",
            "status": {
                "reason": "string",
                "state": "string"
            },
            "type": "string"
        }
    ]
}
array of object
labels
Optional

One entry per label defined in the LabelProfile. Field introduced in 32.1.4. Maximum of 256 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/labelprofile/{uuid}/status